Help with Downgrading Slim OFW 6.oo

Discussion in 'PSP - Games & Content' started by sKeEt, Jul 24, 2010.

Jul 24, 2010
  1. sKeEt
    OP

    Member sKeEt GBAtemp Regular

    Joined:
    Mar 14, 2009
    Messages:
    263
    Country:
    United States
    Yea I'm trying to downgrade my slim back to M33 5.00. I also have a phat with a Pandora battery. Last time I used my Pandora battery I had to run a loader on my slim or something but when I try the same method it won't run the loader on the Slim, Granted the last time I used my Pandora battery it was a couple of years ago.

    Any help greatly appreciated
     
  2. cracker

    Member cracker Nyah!

    Joined:
    Aug 24, 2005
    Messages:
    3,133
    Country:
    United States
    Use the info here to boot up the downgrader. I highly recommend 5.50 GEN-D3 instead of M33 CFW. Also install the latest Prometheus prx for new games to work.
     
  3. xist

    Member xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Joined:
    Jul 14, 2008
    Messages:
    5,861
    Country:
    United Kingdom
    a) Don't use that info...use the info in the sticky here. Why make things more complex than they need to be? A simple MMS GUI like Rain's Ultralite Installer is far easier than a DdC stick to set up.
    b) Why do you highly recommend one firmware over another?
     
  4. sKeEt
    OP

    Member sKeEt GBAtemp Regular

    Joined:
    Mar 14, 2009
    Messages:
    263
    Country:
    United States
    Oh. you mean that very first topic about downgrading...yeah I should have looked at that before I made a topic.

    I don't often visit the PSP forum of this site.

    Thanx for the help. My Phat iz already on 5.50 Gen-D3. I want M33 back...unless I can't play Peace Walker.
     
  5. prowler

    Member prowler Sony

    Joined:
    Jul 14, 2009
    Messages:
    9,473
    Location:
    Ragol
    Country:
    United Kingdom
    Use Hellcats to downgrade to 5.00 M33 and either patch the game or use a plugin.

    Or just upgrade to Prometheus. It's your choice.
     
  6. MLRX

    Member MLRX GBAtemp Fan

    Joined:
    Apr 16, 2009
    Messages:
    378
    Country:
    United States
    5.50 Gen w/ Prometheus has the new XMB features and the web browser has some updated stuff so I prefer Prometheus. Just saying.
     
  7. xist

    Member xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Joined:
    Jul 14, 2008
    Messages:
    5,861
    Country:
    United Kingdom
    So it has such exclusive features that you can't specifically name any other than the obvious auto Prometheus Patching? Nice....
     
  8. MLRX

    Member MLRX GBAtemp Fan

    Joined:
    Apr 16, 2009
    Messages:
    378
    Country:
    United States
    huh? all im saying is that it stays to the keyboard layout that you last you used and has that psp web security thingy and a few other things..

    to me both m33_6.20 and prometheus are about the same so i picked gen w/ protmethues..
     
  9. cracker

    Member cracker Nyah!

    Joined:
    Aug 24, 2005
    Messages:
    3,133
    Country:
    United States
    OK I will recant highly. I still do recommend GEN CFW though because it is a Slim and can't use 1.50 anyway plus the 5.0+ OFW adds in PSN updates.
     

Share This Page